{
  "name": "lincs-api",
  "version": "1.0.0",
  "description": "API for authenticated LINCS services",
  "repository": {
    "type": "git",
    "url": "git+ssh://git@gitlab.com/calincs/infrastructure/lincs-api.git"
  },
  "keywords": [],
  "author": "zacanbot",
  "contributors": [
    "Luciano Frizzera <lucaju@gmail.com>"
  ],
  "license": "GPL",
  "bugs": {
    "url": "https://gitlab.com/calincs/infrastructure/lincs-api/issues"
  },
  "homepage": "https://gitlab.com/calincs/infrastructure/lincs-api#readme",
  "type": "module",
  "engines": {
    "node": ">=20"
  },
  "workspaces": [
    "./lincs-api-contracts"
  ],
  "tsup": {
    "entry": [
      "src/index.ts"
    ],
    "format": "esm"
  },
  "scripts": {
    "clean": "rm -rf node_modules && rm -rf dist && rm package-lock.json && rm -rf coverage && rm -rf test/coverage && rm -rf lincs-api-contracts/dist",
    "lint": "eslint src lincs-api-contracts",
    "build": "cd lincs-api-contracts && tsup && cd .. && tsup",
    "test": "jest",
    "dev": "cd lincs-api-contracts && tsup --watch --onSuccess \"cd .. && tsup --watch --onSuccess 'node --watch dist/index.js'\"",
    "start": "node dist/index.js",
    "update": "npx npm-check-updates -u && npx npm-check-updates -u -ws"
  },
  "dependencies": {
    "@anatine/zod-openapi": "*",
    "@lincs.project/lincs-api-contracts": "file:./lincs-api-contracts",
    "@ts-rest/core": "^3.45.1",
    "@ts-rest/express": "^3.45.1",
    "@ts-rest/open-api": "^3.45.1",
    "cors": "^2.8.5",
    "dotenv": "^16.4.5",
    "express": "^4.19.2",
    "express-session": "^1.18.0",
    "http-errors": "^2.0.0",
    "jsonwebtoken": "^9.0.2",
    "keycloak-connect": "^24.0.3",
    "languagedetect": "^2.0.0",
    "morgan": "^1.10.0",
    "query-string": "^9.0.0",
    "rate-limiter-flexible": "^5.0.3",
    "swagger-ui-express": "^5.0.0",
    "wikibase-sdk": "^10.0.2",
    "winston": "^3.13.0",
    "xml2js": "^0.6.2",
    "zod": "^3.23.5"
  },
  "devDependencies": {
    "@jest/globals": "^29.7.0",
    "@swc/core": "^1.4.17",
    "@swc/jest": "^0.2.36",
    "@types/cors": "^2.8.17",
    "@types/express": "^4.17.21",
    "@types/express-session": "^1.18.0",
    "@types/http-errors": "^2.0.4",
    "@types/jsonwebtoken": "^9.0.6",
    "@types/morgan": "^1.9.9",
    "@types/node": "^20.12.8",
    "@types/supertest": "^6.0.2",
    "@types/swagger-ui-express": "^4.1.6",
    "@types/uuid": "^9.0.8",
    "@types/xml2js": "^0.4.14",
    "@typescript-eslint/eslint-plugin": "^7.8.0",
    "@typescript-eslint/parser": "^7.8.0",
    "eslint": "^8.57",
    "jest": "^29.7.0",
    "supertest": "^7.0.0",
    "tsup": "^8.0.2",
    "typescript": "^5.4.5"
  }
}
